| Web Services for Remote Management 14.0 Reference documentation for web service interfaces to support remote management of Symantec Endpoint Protection

- Home
- Packages
- Classes

- Class List
- Class Hierarchy
- Class Members

List of all members | Public Member Functions | Public Attributes
com.symantec.sepm.webservice.client.command.CommandClientResult Class Reference

Provides the result of a specified command that was run on a specified list of clients. More...

## Public Member Functions
| CommandClientResult ()
| Constructs a CommandClientResult object. More...
| CommandClientResult (String commandId, List< InputElementError > inputErrors)
| Constructs a CommandClientResult object with the given command id and input error list. More...

## Public Attributes
final String | commandId
| The id of a command sent to a client through executeCommand. More...
final List< InputElementError > | inputErrors
| List of Client or Group GUIDs with their error codes. More...

## Detailed Description

Provides the result of a specified command that was run on a specified list of clients.

The result includes the command ID and any input errors for each client.

## Constructor & Destructor Documentation

com.symantec.sepm.webservice.client.command.CommandClientResult.CommandClientResult | ( |  | ) |

Constructs a CommandClientResult object.

com.symantec.sepm.webservice.client.command.CommandClientResult.CommandClientResult | ( | String | commandId,
|  | List< InputElementError > | inputErrors
| ) |  |

Constructs a CommandClientResult object with the given command id and input error list.

Parameters

  commandId | the id of the command sent to the client
  inputErrors | a list of client GUIDs with their error codes

## Member Data Documentation

final String com.symantec.sepm.webservice.client.command.CommandClientResult.commandId

The id of a command sent to a client through executeCommand.

final List<InputElementError> com.symantec.sepm.webservice.client.command.CommandClientResult.inputErrors

List of Client or Group GUIDs with their error codes.